%bcond decoration	1
#bcond desktoptheme	1
#bcond icons		1
#bcond launcher		1
#bcond splash		1
#bcond wallpapers	1

%global srcname	vinyl
# Build a git snapshot
#define git	0

Name:           %{srcname}-theme
Version:        6.3.2
Release:        1%{?git:+git%{git}}%{?dist}
Summary:        A modern style for qt applications

License:        GPLv2+ and MIT
URL:            https://github.com/ekaaty/vinyl-theme
%if 0%{?git:1} > 0
Source0:	%url/archive/refs/heads/master.zip#/%{srcname}-git%{git}.zip
%else
Source0:        %url/archive/v%{version}/%{srcname}-%{version}.tar.xz
%endif

BuildRequires:  cmake
%if %{with decoration}
BuildRequires:  cmake(KDecoration3)
%endif
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6DocTools)
BuildRequires:  cmake(KF6FrameworkIntegration)
BuildRequires:  cmake(KF6GlobalAccel)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6KCMUtils)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6Package)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6KirigamiPlatform)
BuildRequires:  cmake(KWayland)
BuildRequires:  cmake(KWin)
BuildRequires:  cmake(Plasma)
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6UiTools)
BuildRequires:  pkgconfig(epoxy)
BuildRequires:  extra-cmake-modules >= 6.7.0
BuildRequires:  gcc-c++
BuildRequires:  inkscape > 1
BuildRequires:  xcursorgen
BuildRequires:  unzip

Provides:       Plasma(ColorScheme-Vinyl-Dark)
Provides:       Plasma(ColorScheme-Vinyl-Light)
Provides:       Plasma(CursorTheme-Vinyl-Black)
Provides:       Plasma(CursorTheme-Vinyl-White)
Provides:       Plasma(DesktopTheme-Vinyl)
Provides:       Plasma(IconTheme-Vinyl)
Provides:       Plasma(MenuLauncher-Vinyl)
Provides:       Plasma(Splash-Vinyl)
Provides:       Plasma(WidgetStyle-Vinyl)
Provides:       Plasma(Wallpapers-Vinyl)
Provides:       Plasma(WindowDecoration-Vinyl)

%description
Vinyl is a fork of Lightly (a Breeze fork) theme style that aims to be
visually modern and minimalistic.

%prep
%if 0%{?git:1} > 0
%setup -n %{srcname}-master
%else
%setup -n %{srcname}-%{version}
%endif

%cmake_kf6

pushd cursors
  cp AUTHORS ../AUTHORS.cursors
  cp COPYING ../COPYING.cursors
  cp LICENSE ../LICENSE.cursors
  cp README.md ../README.cursors.md
popd

%build
%cmake_build

%install
%cmake_install

for variant in Black White; do
    if [ -d cursors/Vinyl-${variant} ]; then
        %{__mkdir_p} %{buildroot}%{_datadir}/icons/Vinyl-${variant} && \
        %{__cp} -av cursors/Vinyl-${variant}/* \
            %{buildroot}%{_datadir}/icons/Vinyl-${variant}/
    fi
done

%files
%license LICENSES/
%doc AUTHORS README.md

# Application style
%{_bindir}/vinyl-settings6
%{_datadir}/applications/vinylstyleconfig.desktop
%{_datadir}/icons/hicolor/scalable/apps/vinyl-settings.svg*
%{_datadir}/kstyle/themes/vinyl.themerc
%{_qt6_plugindir}/kstyle_config/vinylstyleconfig.so
%{_qt6_plugindir}/styles/vinyl6.so
%{_libdir}/cmake/Vinyl/

# Window Decoration
%if %{with decoration}
%{_qt6_plugindir}/org.kde.kdecoration3/org.kde.vinyl.so
%{_qt6_plugindir}/org.kde.kdecoration3.kcm/kcm_vinyldecoration.so
%{_datadir}/applications/kcm_vinyldecoration.desktop
%endif

# Colors
%{_datadir}/color-schemes/Vinyl-*-Dark.colors
%{_datadir}/color-schemes/Vinyl-*-Light.colors

# Splash
%{_datadir}/locale/*/*/plasma_lookandfeel_*.vinyl-splash.mo
%{_datadir}/metainfo/*.vinyl-splash.appdata.xml
%{_datadir}/plasma/look-and-feel/*vinyl-splash/

# Launcher
%{_datadir}/locale/*/*/plasma_applet_*.vinyl-launcher.mo
%{_datadir}/metainfo/*.vinyl-launcher.appdata.xml
%{_datadir}/plasma/plasmoids/*vinyl-launcher/

# Cursors
%doc AUTHORS.cursors README.cursors.md
%license COPYING.cursors
%license LICENSE.cursors
%{_datadir}/icons/Vinyl-Black/index.theme
%{_datadir}/icons/Vinyl-Black/cursors/
%{_datadir}/icons/Vinyl-White/index.theme
%{_datadir}/icons/Vinyl-White/cursors/

# Icons
%{_datadir}/icons/Vinyl/

# Desktop Theme
%{_datadir}/plasma/desktoptheme/*

# Wallpapers
%{_datadir}/wallpapers/Vinyl*

%changelog
* Wed Mar 05 2025 Christian Tosta <tosta@ekaaty.com> - 6.3.2-1
- colors: Removed Light and Dark in favor of 4 new color schemes
- desktoptheme: added initial theme
- kdecoration: updated to use Kdecoration3
- kstyle: Bug fix: Corner Bug (github #6)
- wallpapers: added "Tracks" theme

* Thu Feb 13 2025 Christian Tosta <tosta@ekaaty.com> - 6.3.0-1
- new version for Plasma 6.3.0 
- Bug fix: Vinyl Theme Broken On Plasma 6.3 (github #12)
- decoration is disabled for now (API broken)

* Tue Nov 19 2024 Christian Tosta <tosta@ekaaty.com> - 6.2.3-1
- updated to 6.2.3
- added icons

* Tue Oct 08 2024 Christian Tosta <tosta@ekaaty.com> - 6.1.6-1
- updated to 6.1.6

* Wed Oct 02 2024 Christian Tosta <tosta@ekaaty.com> - 6.1.5-1
- Added splash and menu launcher
- translations updates

* Thu Mar 21 2024 Christian Tosta <tosta@ekaaty.com> - 6.0.2-1
- Plasma 6 version

* Wed Jan 17 2024 Christian Tosta <tosta@ekaaty.com> - 0.5.0-1
- Initial build
